## nim 2.2.4

=== dist/nimble/nimble-guide/requirements.txt ===
mkdocs-material>=9.5
mkdocs-git-revision-date-localized-plugin

## nim 0.11.2+dfsg1

=== debian/changelog ===
nim (0.11.2+dfsg1-4) unstable; urgency=medium

  * Disable tests that cause FTBFS.

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 09 Aug 2015 11:09:32 +0200

nim (0.11.2+dfsg1-3) unstable; urgency=medium

  * Fix build for kfreebsd-*

 -- Ximin Luo <infinity0@pwned.gg>  Sat, 08 Aug 2015 17:52:07 +0200

nim (0.11.2+dfsg1-2) unstable; urgency=medium

  * Fix build for architectures other than i386, amd64.

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 30 Jul 2015 13:51:44 +0200

nim (0.11.2+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #778330)

 -- Ximin Luo <infinity0@pwned.gg>  Tue, 14 Jul 2015 14:11:51 +0200

=== debian/control ===
Source: nim
Section: devel
Priority: optional
Maintainer: Ximin Luo <infinity0@pwned.gg>
Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 9), help2man (>= 1.47.1)
Standards-Version: 3.9.6
Homepage: http://nim-lang.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/nim.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nim.git

Package: nim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nim programming language - compiler
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.

Package: nim-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: Nim programming language - documentation
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.
 .
 This is a documentation package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# reproducible documentation, see https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)

platform_tr = $(shell { grep ^$(1) debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)

NIMFLAGS = $(addprefix --passC:,$(CPPFLAGS)) $(addprefix --passC:,$(CFLAGS)) $(addprefix --passL:,$(LDFLAGS))
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# work around https://github.com/nim-lang/Nim/issues/3165
	NIMFLAGS += --parallelBuild:1
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f makefile myos=$(call platform_tr,$(DEB_HOST_ARCH_OS)) mycpu=$(call platform_tr,$(DEB_HOST_ARCH_CPU))
	./bin/nim c $(NIMFLAGS) koch
	# Build until convergence; we must do this here, not dh_auto_test, to pick up
	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
	PATH=./bin/:$$PATH ./koch boot -d:release $(NIMFLAGS)
	PATH=./bin/:$$PATH ./koch web
	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" \
		-i debian/nim.h2m -o debian/nim.1 ./bin/nim

override_dh_auto_install:
	PATH=./bin/:$$PATH ./koch install debian/tmp
	cp -a web/upload debian/html
	find debian/html -name '*.idx' \
		-delete
	ln -sf overview.html debian/html/index.html

override_dh_auto_test:
	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi
	# TODO: do this with autopkgtest instead; it requires libsqlite3-0 and nodejs
	#PATH=./bin:$$PATH ./koch test

override_dh_auto_clean:
	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
	rm -rf bin/ web/upload/
	find . -name nimcache \
		-prune -execdir rm -rf nimcache \;
	find . -name '*.o' \
		-delete
	find doc \( -name '*.idx' -o -name '*.html' \) \
		-delete
	find examples lib tests -type f -executable \
		-delete
	rm -f testament.db testresults.*

override_dh_installdocs:
	dh_installdocs -Xcopying.txt

override_dh_clean:
	dh_clean
	rm -f debian/nim.1
	rm -rf debian/html

=== debian/watch ===
version=3

http://nim-lang.org/download.html download/nim-(.*)\.zip

## nim 0.12.0

=== debian/changelog ===
nim (0.12.0-2) unstable; urgency=medium

  * Fix build on some platforms.

 -- Ximin Luo <infinity0@debian.org>  Mon, 02 Nov 2015 12:42:57 +0100

nim (0.12.0-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release

  [ Ximin Luo ]
  * Work around upstream build bugs.
  * Add newly-supported archs: arm64, mipsel, ppc64el (Closes: #794273)

 -- Ximin Luo <infinity0@debian.org>  Sun, 01 Nov 2015 19:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: nim
 Section: devel
 Priority: optional
-Maintainer: Ximin Luo <infinity0@pwned.gg>
-Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Ximin Luo <infinity0@debian.org>
+Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9), help2man (>= 1.47.1)
 Standards-Version: 3.9.6
 Homepage: http://nim-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,16 @@
 
 include /usr/share/dpkg/default.mk
 
-# reproducible documentation, see https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal
-export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
-
-platform_tr = $(shell { grep ^$(1) debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
+platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
 
 NIMFLAGS = $(addprefix --passC:,$(CPPFLAGS)) $(addprefix --passC:,$(CFLAGS)) $(addprefix --passL:,$(LDFLAGS))
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	# work around https://github.com/nim-lang/Nim/issues/3165
 	NIMFLAGS += --parallelBuild:1
 endif
+
+# TODO: remove this when https://github.com/nim-lang/Nim/issues/3506 is fixed
+EXTRA_KOCHFLAGS = -p:. -p:lib/packages/docutils
 
 %:
 	dh $@
@@ -21,7 +21,7 @@
 	./bin/nim c $(NIMFLAGS) koch
 	# Build until convergence; we must do this here, not dh_auto_test, to pick up
 	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
-	PATH=./bin/:$$PATH ./koch boot -d:release $(NIMFLAGS)
+	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
 	PATH=./bin/:$$PATH ./koch web
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" \
 		-i debian/nim.h2m -o debian/nim.1 ./bin/nim
@@ -41,13 +41,15 @@
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
 	rm -rf bin/ web/upload/
+	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
+	#PATH=./bin:$$PATH ./koch clean
 	find . -name nimcache \
 		-prune -execdir rm -rf nimcache \;
 	find . -name '*.o' \
 		-delete
 	find doc \( -name '*.idx' -o -name '*.html' \) \
 		-delete
-	find examples lib tests -type f -executable \
+	find examples lib tests -type f -executable -and -not -name '*.nim' \
 		-delete
 	rm -f testament.db testresults.*

=== debian/watch ===
version=3

http://nim-lang.org/download.html download/nim-(.*)\.tar\.xz

## nim 0.13.0

=== debian/changelog ===
nim (0.13.0-1) unstable; urgency=low

  [ Ximin Luo ]
  * Use secure links for Vcs-* fields.

  [ Federico Ceratto ]
  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 21 Mar 2016 22:15:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), help2man (>= 1.47.1)
 Standards-Version: 3.9.6
 Homepage: http://nim-lang.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/nim.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nim.git
 
 Package: nim

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DH_VERBOSE=1
 include /usr/share/dpkg/default.mk
 
 platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
@@ -40,17 +41,18 @@
 
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
-	rm -rf bin/ web/upload/
+	find bin -type f -not -name '*.nim' -and -not -name 'nim.cfg' -delete -print
+	rm -rf web/upload/
 	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
 	#PATH=./bin:$$PATH ./koch clean
 	find . -name nimcache \
 		-prune -execdir rm -rf nimcache \;
-	find . -name '*.o' \
-		-delete
-	find doc \( -name '*.idx' -o -name '*.html' \) \
-		-delete
+	find . -name '*.o' -not -name 'koch_icon.o' -and -not -name 'nim_icon.o' \
+		-delete -print
+	find doc -name '*.idx' -delete -print
+	find doc -name '*.html' -not -name 'overview.html' -delete -print
 	find examples lib tests -type f -executable -and -not -name '*.nim' \
-		-delete
+		-delete -print
 	rm -f testament.db testresults.*
 
 override_dh_installdocs:

## nim 0.15.2

=== debian/changelog ===
nim (0.15.2-2) unstable; urgency=medium

  * Upstream release 0.15.2

 -- Federico Ceratto <federico@debian.org>  Mon, 24 Oct 2016 12:31:57 +0100

nim (0.15.2-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 23 Oct 2016 23:23:55 +0100

nim (0.15.0-3) experimental; urgency=medium

  * Disable generating docs for coro.nim

 -- Federico Ceratto <federico@debian.org>  Thu, 20 Oct 2016 19:03:55 +0100

nim (0.15.0-2) unstable; urgency=medium

  * Support OpenSSL 1.0.2 (Closes: #840969)

 -- Federico Ceratto <federico@debian.org>  Mon, 17 Oct 2016 12:44:18 +0100

nim (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Add Suggests: nim-doc (Closes: #828051)

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Oct 2016 23:39:18 +0100

nim (0.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 22 Jul 2016 09:21:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Ximin Luo <infinity0@debian.org>
 Uploaders: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9), help2man (>= 1.47.1)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+ help2man (>= 1.46.4),
+ libssl1.0.2
+Standards-Version: 3.9.8
 Homepage: http://nim-lang.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nim.git
 
 Package: nim
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: nim-doc
 Description: Nim programming language - compiler
  Nim is a statically typed, imperative programming language that generates
  native code via compilation to C. It provides a non-tracing GC, high level

=== debian/rules ===
--- 
+++ 
@@ -24,15 +24,20 @@
 	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
 	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
 	PATH=./bin/:$$PATH ./koch web
-	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" \
-		-i debian/nim.h2m -o debian/nim.1 ./bin/nim
+	# Build nimble, nimsuggest and nimgrep in ./bin/
+	./bin/nim e install_tools.nims
+	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
+	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
+	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
+	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
 
 override_dh_auto_install:
 	PATH=./bin/:$$PATH ./koch install debian/tmp
-	cp -a web/upload debian/html
+	for fn in nimble nimsuggest nimgrep; do cp ./bin/$$fn debian/tmp/nim/bin/; done
+	cp -a web/upload/*/ debian/html  # Install docs from web/upload/<version>/
 	find debian/html -name '*.idx' \
 		-delete
-	ln -sf overview.html debian/html/index.html
+	ln -sf manual.html debian/html/index.html
 
 override_dh_auto_test:
 	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi
@@ -41,7 +46,7 @@
 
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
-	find bin -type f -not -name '*.nim' -and -not -name 'nim.cfg' -delete -print
+	rm -rf bin rnimcache
 	rm -rf web/upload/
 	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
 	#PATH=./bin:$$PATH ./koch clean
@@ -50,9 +55,10 @@
 	find . -name '*.o' -not -name 'koch_icon.o' -and -not -name 'nim_icon.o' \
 		-delete -print
 	find doc -name '*.idx' -delete -print
-	find doc -name '*.html' -not -name 'overview.html' -delete -print
+	find doc -name '*.html' -delete -print
 	find examples lib tests -type f -executable -and -not -name '*.nim' \
 		-delete -print
+	rm -f tests/dll/libnimrtl.dylib
 	rm -f testament.db testresults.*
 
 override_dh_installdocs:
@@ -60,5 +66,5 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/nim.1
+	rm -f debian/nim.1 debian/nimble.1 debian/nimgrep.1 debian/nimsuggest.1
 	rm -rf debian/html

## nim 0.16.0

=== debian/changelog ===
nim (0.16.0-1) unstable; urgency=medium

  * New upstream release 0.16.0

 -- Federico Ceratto <federico@debian.org>  Mon, 09 Jan 2017 23:41:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,12 @@
 
 Package: nim
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libssl1.0.2
 Suggests: nim-doc
+Recommends: gcc,
+ git
 Description: Nim programming language - compiler
  Nim is a statically typed, imperative programming language that generates
  native code via compilation to C. It provides a non-tracing GC, high level

=== debian/rules ===
--- 
+++ 
@@ -18,25 +18,31 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -f makefile myos=$(call platform_tr,$(DEB_HOST_ARCH_OS)) mycpu=$(call platform_tr,$(DEB_HOST_ARCH_CPU))
+	$(MAKE) -f makefile -j4 myos=$(call platform_tr,$(DEB_HOST_ARCH_OS)) mycpu=$(call platform_tr,$(DEB_HOST_ARCH_CPU))
 	./bin/nim c $(NIMFLAGS) koch
 	# Build until convergence; we must do this here, not dh_auto_test, to pick up
 	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
+	echo "running koch boot"
 	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
-	PATH=./bin/:$$PATH ./koch web
-	# Build nimble, nimsuggest and nimgrep in ./bin/
-	./bin/nim e install_tools.nims
+	#PATH=./bin/:$$PATH ./koch web
+	echo "running koch web to generate docs into doc/html"
+	./koch web --onlyDocs
+	echo "running koch tools to build nimble, nimsuggest, nimgrep"
+	./koch tools
+	echo "generating manpages"
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
 	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
 	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
 	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
+	echo "running koch distrohelper to generate install.sh"
+	./koch distrohelper
 
 override_dh_auto_install:
-	PATH=./bin/:$$PATH ./koch install debian/tmp
+	echo "running install.sh to populate debian/tmp"
+	./install.sh debian/tmp
 	for fn in nimble nimsuggest nimgrep; do cp ./bin/$$fn debian/tmp/nim/bin/; done
-	cp -a web/upload/*/ debian/html  # Install docs from web/upload/<version>/
-	find debian/html -name '*.idx' \
-		-delete
+	cp -a doc/html debian/html  # Install docs. There is no version number in the path.
+	find debian/html -name '*.idx' -delete
 	ln -sf manual.html debian/html/index.html
 
 override_dh_auto_test:

## nim 0.17.0

=== debian/changelog ===
nim (0.17.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Federico Ceratto <federico@debian.org>  Fri, 14 Jul 2017 23:58:18 +0100

nim (0.17.0-2) unstable; urgency=medium

  * Release to Unstable

 -- Federico Ceratto <federico@debian.org>  Tue, 11 Jul 2017 23:56:09 +0100

nim (0.17.0-1) experimental; urgency=medium

  * New upstream release 0.17.0

 -- Federico Ceratto <federico@debian.org>  Tue, 11 Jul 2017 23:55:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
 	# work around https://github.com/nim-lang/Nim/issues/3165
 	NIMFLAGS += --parallelBuild:1
 endif
-
-# TODO: remove this when https://github.com/nim-lang/Nim/issues/3506 is fixed
-EXTRA_KOCHFLAGS = -p:. -p:lib/packages/docutils
 
 %:
 	dh $@
@@ -54,6 +51,8 @@
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
 	rm -rf bin rnimcache
 	rm -rf web/upload/
+	rm -rf dist/nimble0
+	rm -rf dist/nimble/src/nimble
 	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
 	#PATH=./bin:$$PATH ./koch clean
 	find . -name nimcache \

## nim 0.17.2

=== debian/changelog ===
nim (0.17.2-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:55 +0000

nim (0.17.2-1ubuntu1) artful; urgency=medium

  * Match the Ubuntu ssl version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2017 09:58:32 +0200

nim (0.17.2-1) unstable; urgency=medium

  * New upstream release 0.17.2

 -- Federico Ceratto <federico@debian.org>  Fri, 08 Sep 2017 18:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: nim
 Section: devel
 Priority: optional
-Maintainer: Ximin Luo <infinity0@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ximin Luo <infinity0@debian.org>
 Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9),
  help2man (>= 1.46.4),
- libssl1.0.2
-Standards-Version: 3.9.8
+ libssl1.0.0
+Standards-Version: 4.0.0
 Homepage: http://nim-lang.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nim.git
@@ -15,7 +16,7 @@
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libssl1.0.2
+ libssl1.0.0
 Suggests: nim-doc
 Recommends: gcc,
  git

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,11 @@
 	cp -a doc/html debian/html  # Install docs. There is no version number in the path.
 	find debian/html -name '*.idx' -delete
 	ln -sf manual.html debian/html/index.html
+	# install bash/zsh completion scripts
+	install -D -m 644 tools/nim.bash-completion          debian/nim/usr/share/bash-completion/completions/nim
+	install -D -m 644 dist/nimble/nimble.bash-completion debian/nim/usr/share/bash-completion/completions/nimble
+	install -D -m 644 tools/nim.zsh-completion           debian/nim/usr/share/zsh/vendor-completions/_nim
+	install -D -m 644 dist/nimble/nimble.zsh-completion  debian/nim/usr/share/zsh/vendor-completions/_nimble
 
 override_dh_auto_test:
 	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi

## nim 0.18.0

=== debian/changelog ===
nim (0.18.0-2) unstable; urgency=medium

  * Install txt files
  [ Frédéric Bonnard ]
  * Fix FTBFS on ppc64, ppc64el, arm64 and re-enable mips64el (Closes: #892108)

 -- Federico Ceratto <federico@debian.org>  Thu, 15 Mar 2018 21:57:32 +0000

nim (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to libssl1.1 (Closes: #882549)
  * Remove mips64el target (Closes: #876526)
  * Move packaging VCS to Salsa

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Mar 2018 14:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: nim
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ximin Luo <infinity0@debian.org>
-Uploaders: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Federico Ceratto <federico@debian.org>
+Build-Depends: debhelper (>= 11),
  help2man (>= 1.46.4),
- libssl1.0.0
-Standards-Version: 4.0.0
+ libssl-dev,
+ libssl1.1
+Standards-Version: 4.1.3
 Homepage: http://nim-lang.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nim.git
+Vcs-Git: https://salsa.debian.org/debian/nim.git
+Vcs-Browser: https://salsa.debian.org/debian/nim
 
 Package: nim
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libssl1.0.0
+ libssl1.1
 Suggests: nim-doc
 Recommends: gcc,
  git

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,17 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -f makefile -j4 myos=$(call platform_tr,$(DEB_HOST_ARCH_OS)) mycpu=$(call platform_tr,$(DEB_HOST_ARCH_CPU))
-	./bin/nim c $(NIMFLAGS) koch
+	PATH=./bin/:$$PATH  ./build.sh --os $(call platform_tr,$(DEB_HOST_ARCH_OS)) --cpu $(call platform_tr,$(DEB_HOST_ARCH_CPU))
+	PATH=./bin/:$$PATH ./bin/nim c $(NIMFLAGS) koch
 	# Build until convergence; we must do this here, not dh_auto_test, to pick up
 	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
 	echo "running koch boot"
 	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
 	#PATH=./bin/:$$PATH ./koch web
 	echo "running koch web to generate docs into doc/html"
-	./koch web --onlyDocs
+	PATH=./bin/:$$PATH ./koch web --onlyDocs
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
-	./koch tools
+	PATH=./bin/:$$PATH ./koch tools
 	echo "generating manpages"
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
 	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
@@ -48,12 +48,14 @@
 	install -D -m 644 dist/nimble/nimble.zsh-completion  debian/nim/usr/share/zsh/vendor-completions/_nimble
 
 override_dh_auto_test:
+	#PATH=./bin:$$PATH ./koch test
 	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi
 	# TODO: do this with autopkgtest instead; it requires libsqlite3-0 and nodejs
 	#PATH=./bin:$$PATH ./koch test
 
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
+	rm -f lib/pure/strutils_examples.nim
 	rm -rf bin rnimcache
 	rm -rf web/upload/
 	rm -rf dist/nimble0

## nim 0.19.0

=== debian/changelog ===
nim (0.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 27 Sep 2018 19:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.1.3
-Homepage: http://nim-lang.org/
+Standards-Version: 4.2.1
+Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim
 
 Package: nim
-Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc ppc64 ppc64el riscv64
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libssl1.1

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DH_VERBOSE=1
 include /usr/share/dpkg/default.mk
+
+export XDG_CACHE_HOME=$(CURDIR)/.cache
+export XDG_CONFIG_HOME=$(CURDIR)/.config
+#export XDG_DATA_HOME=$(CURDIR)/.data
 
 platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
 
@@ -23,7 +27,7 @@
 	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
 	#PATH=./bin/:$$PATH ./koch web
 	echo "running koch web to generate docs into doc/html"
-	PATH=./bin/:$$PATH ./koch web --onlyDocs
+	PATH=./bin/:$$PATH ./koch docs
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
 	PATH=./bin/:$$PATH ./koch tools
 	echo "generating manpages"
@@ -38,7 +42,9 @@
 	echo "running install.sh to populate debian/tmp"
 	./install.sh debian/tmp
 	for fn in nimble nimsuggest nimgrep; do cp ./bin/$$fn debian/tmp/nim/bin/; done
-	cp -a doc/html debian/html  # Install docs. There is no version number in the path.
+	# Install docs. There is no version number in the path.
+	install -d debian/html
+	install -D doc/html/*.html debian/html
 	find debian/html -name '*.idx' -delete
 	ln -sf manual.html debian/html/index.html
 	# install bash/zsh completion scripts

## nim 0.19.2

=== debian/changelog ===
nim (0.19.2-2) unstable; urgency=medium

  * Remove MIPS arch (Closes: #919398)

 -- Federico Ceratto <federico@debian.org>  Thu, 17 Jan 2019 22:21:08 +0000

nim (0.19.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 03 Jan 2019 13:23:37 +0000

## nim 0.19.4

=== debian/changelog ===
nim (0.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 05 Feb 2019 16:15:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.2.1
+Standards-Version: 4.3.1
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim
+Testsuite: autopkgtest
 
 Package: nim
-Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc ppc64 ppc64el riscv64
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el powerpc ppc64 ppc64el riscv64
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libssl1.1

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,9 @@
 override_dh_auto_install:
 	echo "running install.sh to populate debian/tmp"
 	./install.sh debian/tmp
+	# remove the compiler sources directory
+	# https://github.com/nim-lang/Nim/issues/4866#issuecomment-271194805
+	rm debian/tmp/nim/compiler -rf
 	for fn in nimble nimsuggest nimgrep; do cp ./bin/$$fn debian/tmp/nim/bin/; done
 	# Install docs. There is no version number in the path.
 	install -d debian/html
@@ -54,10 +57,12 @@
 	install -D -m 644 dist/nimble/nimble.zsh-completion  debian/nim/usr/share/zsh/vendor-completions/_nimble
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	#PATH=./bin:$$PATH ./koch test
 	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi
 	# TODO: do this with autopkgtest instead; it requires libsqlite3-0 and nodejs
 	#PATH=./bin:$$PATH ./koch test
+endif
 
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
@@ -79,6 +84,10 @@
 	rm -f tests/dll/libnimrtl.dylib
 	rm -f testament.db testresults.*
 
+override_dh_dwz:
+	# dwz cannot handle all the binaries together
+	dh_dwz --no-dwz-multifile
+
 override_dh_installdocs:
 	dh_installdocs -Xcopying.txt

=== debian/watch ===
version=3

https://nim-lang.org/install_unix.html /download/nim-(.*)\.tar\.xz

## nim 0.20.2

=== debian/changelog ===
nim (0.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 18 Jul 2019 21:01:58 +0100

nim (0.20.0-2) unstable; urgency=medium

  * Fix build on mips, powerpc, ppc64 and sparc64.
    Thanks to John Paul Adrian Glaubitz.

 -- Federico Ceratto <federico@debian.org>  Wed, 12 Jun 2019 22:13:33 +0100

nim (0.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 07 Jun 2019 10:37:13 +0100

nim (0.19.6-2) unstable; urgency=medium

  * Publish v. 0.19.6-2 in Unstable

 -- Federico Ceratto <federico@debian.org>  Sat, 25 May 2019 21:42:59 +0100

nim (0.19.6-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 14 May 2019 18:22:09 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Testsuite: autopkgtest
 
 Package: nim
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el powerpc ppc64 ppc64el riscv64
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libssl1.1

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## nim 1.0.0

=== debian/changelog ===
nim (1.0.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Federico Ceratto <federico@debian.org>  Wed, 25 Sep 2019 14:40:51 +0100

nim (1.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 24 Sep 2019 09:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
@@ -18,7 +18,8 @@
  ${misc:Depends},
  libssl1.1
 Suggests: nim-doc
-Recommends: gcc,
+Recommends: build-essential,
+ gcc,
  git
 Description: Nim programming language - compiler
  Nim is a statically typed, imperative programming language that generates

## nim 1.0.2

=== debian/changelog ===
nim (1.0.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Federico Ceratto <federico@debian.org>  Sun, 17 Nov 2019 18:23:54 +0000

nim (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Oct 2019 14:08:41 +0100

nim (1.0.2~rc-1) experimental; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Oct 2019 09:38:12 +0100

nim (1.0.2~b-1) experimental; urgency=medium

  * New upstream beta release

 -- Federico Ceratto <federico@debian.org>  Mon, 14 Oct 2019 13:13:10 +0100

nim (1.0.2~a-1) experimental; urgency=medium

  * New upstream alpha release

 -- Federico Ceratto <federico@debian.org>  Wed, 09 Oct 2019 18:05:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.3.1
+Standards-Version: 4.4.1.1
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

# Match nightly using "rc" for release candidate version
# https://github.com/nim-lang/nightlies/releases/download/2019-10-22-version-1-0-193b3c6/nim-1.0.2-osx.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*193b3c6/nim-(\d+.\d+.\d+)-osx\.tar\.xz

## nim 1.0.4

=== debian/changelog ===
nim (1.0.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Federico Ceratto <federico@debian.org>  Sat, 04 Jan 2020 11:42:46 +0000

nim (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 27 Nov 2019 17:28:21 +0000

nim (1.0.3~rc-1) unstable; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Fri, 22 Nov 2019 14:57:35 +0000

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

# Match nightly using "rc" for release candidate version
# https://github.com/nim-lang/nightlies/releases/download/2019-11-22-version-1-0-4084ef1/nim-1.0.3-osx.tar.xz
# opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc\.tar\.xz/, \
#   versionmangle=s/(\d)$/$1~rc/" \
#   https://github.com/nim-lang/nightlies/releases .*version-1.*4084ef1/nim-(\d+.\d+.\d+)-osx\.tar\.xz

## nim 1.0.6

=== debian/changelog ===
nim (1.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 27 Jan 2020 15:07:29 +0000

nim (1.0.5~rc-1) experimental; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Sun, 19 Jan 2020 11:11:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.4.1.1
+Standards-Version: 4.4.1
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## Match nightly using "rc" for release candidate version:
## https://github.com/nim-lang/nightlies/releases/download/2020-01-16-version-1-0-2f557f7/nim-1.0.5-osx.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*2f557f7/nim-(\d+.\d+.\d+)-osx\.tar\.xz

## nim 1.2.6

=== debian/changelog ===
nim (1.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 07 Aug 2020 21:27:43 +0100

nim (1.2.6~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Wed, 29 Jul 2020 20:54:09 +0100

nim (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 09 Jul 2020 12:45:21 +0100

nim (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 17 Jun 2020 13:49:47 +0100

nim (1.2.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Wed, 03 Jun 2020 14:44:54 +0100

nim (1.2.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Thu, 21 May 2020 23:18:54 +0100

nim (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 04 Apr 2020 16:54:47 +0100

nim (1.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Fri, 03 Apr 2020 16:36:30 +0100

nim (1.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Fri, 03 Apr 2020 12:35:37 +0100

nim (1.2.0~rc-1) experimental; urgency=medium

  * New upstream release candidate

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Mar 2020 19:48:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim
-Testsuite: autopkgtest
 
 Package: nim
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,10 @@
 	install -D -m 644 dist/nimble/nimble.bash-completion debian/nim/usr/share/bash-completion/completions/nimble
 	install -D -m 644 tools/nim.zsh-completion           debian/nim/usr/share/zsh/vendor-completions/_nim
 	install -D -m 644 dist/nimble/nimble.zsh-completion  debian/nim/usr/share/zsh/vendor-completions/_nimble
+	rm debian/tmp/nim/compiler.nimble debian/tmp/nim/doc/advopt.txt
+	rm debian/tmp/nim/doc/basicopt.txt debian/tmp/nim/doc/html/overview.html
+	install -D -m 644 doc/nimdoc.css  debian/nim/usr/lib/nim/doc/nimdoc.css
+	rm debian/tmp/nim/doc/nimdoc.css
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## Match nightly using "rc" for release candidate version e.g.:
## https://github.com/nim-lang/nightlies/releases/download/2020-03-20-version-1-2-579e34e/nim-1.2.0-osx.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc1\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc1/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*bf320ed/nim-(\d+.\d+.\d+)-osx\.tar\.xz

## nim 1.4.0

=== debian/changelog ===
nim (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 25 Oct 2020 12:15:37 +0000

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## Match nightly using "rc" for release candidate version e.g.:
## https://github.com/nim-lang/nightlies/releases/download/2020-09-22-version-1-4-aca9c5fb30fe2de12671e9103e93b81201bb8e71/nim-1.3.7.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc1\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc1/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*aca9c5f.*/nim-(\d+.\d+.\d+)\.tar\.xz

## nim 1.4.2

=== debian/changelog ===
nim (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 02 Dec 2020 13:39:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim
+Rules-Requires-Root: no
 
 Package: nim
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32

## nim 1.4.6+really1.4.2

=== debian/changelog ===
nim (1.4.6+really1.4.2-2) unstable; urgency=medium

  * Rebuild

 -- Federico Ceratto <federico@debian.org>  Thu, 13 May 2021 14:09:37 +0100

nim (1.4.6+really1.4.2-1) unstable; urgency=medium

  * Upload 1.4.2 as 1.4.6+really1.4.2-1 (Closes: #987279)
  * Security update for CVE-2021-21372 CVE-2021-21373
    CVE-2021-21374 CVE-2021-29495 (Closes: #87272)

 -- Federico Ceratto <federico@debian.org>  Fri, 07 May 2021 21:42:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
 	#PATH=./bin/:$$PATH ./koch web
 	echo "running koch web to generate docs into doc/html"
-	PATH=./bin/:$$PATH ./koch docs
+	PATH=./bin/:$$PATH ./koch docs --docCmd:skip
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
 	PATH=./bin/:$$PATH ./koch tools
 	echo "generating manpages"
@@ -90,7 +90,9 @@
 
 override_dh_dwz:
 	# dwz cannot handle all the binaries together
-	dh_dwz --no-dwz-multifile
+	# dh_dwz --no-dwz-multifile
+	# dwz errors out when handling nim
+	true
 
 override_dh_installdocs:
 	dh_installdocs -Xcopying.txt

## nim 1.6.2

=== debian/changelog ===
nim (1.6.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Federico Ceratto <federico@debian.org>  Sat, 25 Dec 2021 17:54:15 +0000

nim (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 17 Dec 2021 09:47:40 +0000

nim (1.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/tests/control: examples is not installed, so inject the
    content of hallo.nim during test, compile and run it
    as autopkgtests (as intended)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Oct 2021 00:29:02 +0530

nim (1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 26 Oct 2021 11:47:32 +0100

nim (1.4.8-3) unstable; urgency=medium

  * Really release 1.4.8 to unstable

 -- Federico Ceratto <federico@debian.org>  Wed, 18 Aug 2021 12:44:55 +0100

nim (1.4.8-2) experimental; urgency=medium

  * Release 1.4.8 to unstable

 -- Federico Ceratto <federico@debian.org>  Mon, 16 Aug 2021 21:23:28 +0100

nim (1.4.8-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 20 Jun 2021 15:41:13 +0100

nim (1.4.6-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 19 Apr 2021 20:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  help2man (>= 1.46.4),
  libssl-dev,
  libssl1.1
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,14 @@
 	dh $@
 
 override_dh_auto_build:
-	PATH=./bin/:$$PATH  ./build.sh --os $(call platform_tr,$(DEB_HOST_ARCH_OS)) --cpu $(call platform_tr,$(DEB_HOST_ARCH_CPU))
-	PATH=./bin/:$$PATH ./bin/nim c $(NIMFLAGS) koch
+	echo "running make to build ./bin/nim from csources"
+	PATH=./bin/:$$PATH  make -j
+	echo "building ./koch"
+	PATH=./bin/:$$PATH ./bin/nim c -d:release $(NIMFLAGS) koch
 	# Build until convergence; we must do this here, not dh_auto_test, to pick up
 	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
-	echo "running koch boot"
-	PATH=./bin/:$$PATH ./koch boot -d:release $(EXTRA_KOCHFLAGS) $(NIMFLAGS)
-	#PATH=./bin/:$$PATH ./koch web
+	echo "running koch boot to build ./bin/nim from .nim sources"
+	PATH=./bin/:$$PATH ./koch boot -d:release $(NIMFLAGS)
 	echo "running koch web to generate docs into doc/html"
 	PATH=./bin/:$$PATH ./koch docs --docCmd:skip
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
@@ -71,10 +72,9 @@
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
 	rm -f lib/pure/strutils_examples.nim
-	rm -rf bin rnimcache
+	rm -rf bin rnimcache tools/dochack/dochack.js  doc/html/ .cache
 	rm -rf web/upload/
-	rm -rf dist/nimble0
-	rm -rf dist/nimble/src/nimble
+	rm -rf dist/nimble0 dist/nimble/src/nimble
 	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
 	#PATH=./bin:$$PATH ./koch clean
 	find . -name nimcache \
@@ -83,7 +83,7 @@
 		-delete -print
 	find doc -name '*.idx' -delete -print
 	find doc -name '*.html' -delete -print
-	find examples lib tests -type f -executable -and -not -name '*.nim' \
+	find lib tests -type f -executable -and -not -name '*.nim' \
 		-delete -print
 	rm -f tests/dll/libnimrtl.dylib
 	rm -f testament.db testresults.*

## nim 1.6.10

=== debian/changelog ===
nim (1.6.10-2) unstable; urgency=medium

  * Fix missing CSS, install nimpretty (Closes: #1010929)
    Thanks to Boris Jakubith
  * Change library path, fix docgen, install nim-gdb.py
    Thanks to Gabriel Huber
  * Disable Plausible analytics from koch docs

 -- Federico Ceratto <federico@debian.org>  Sun, 12 Feb 2023 16:48:12 +0000

nim (1.6.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1022204, #1006989)
    Thanks Sergio Durigan Junior <sergiodj@debian.org>

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Nov 2022 19:23:48 +0000

nim (1.6.8-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 09 Oct 2022 13:15:19 +0100

nim (1.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 06 May 2022 21:07:07 +0100

nim (1.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 10 Feb 2022 14:02:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper-compat (= 13),
  help2man (>= 1.46.4),
+ libpcre3,
  libssl-dev,
- libssl1.1
-Standards-Version: 4.6.0
+ libssl3
+Standards-Version: 4.6.1
 Homepage: https://nim-lang.org/
 Vcs-Git: https://salsa.debian.org/debian/nim.git
 Vcs-Browser: https://salsa.debian.org/debian/nim
@@ -16,7 +17,8 @@
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libssl1.1
+ libpcre3,
+ libssl3
 Suggests: nim-doc
 Recommends: build-essential,
  gcc,

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
 	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
 	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
+	help2man --name="Nimpretty"             -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimpretty.1 ./bin/nimpretty
 	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
 	echo "running koch distrohelper to generate install.sh"
 	./koch distrohelper
@@ -45,10 +46,15 @@
 	# remove the compiler sources directory
 	# https://github.com/nim-lang/Nim/issues/4866#issuecomment-271194805
 	rm debian/tmp/nim/compiler -rf
-	for fn in nimble nimsuggest nimgrep; do cp ./bin/$$fn debian/tmp/nim/bin/; done
+	for fn in nimble nimsuggest nimgrep nimpretty nim-gdb; do install ./bin/$$fn debian/tmp/nim/bin/; done
+	# Install tools
+	install -D -m 644 tools/dochack/dochack.nim     debian/tmp/nim/tools/dochack/dochack.nim
+	install -D -m 644 tools/dochack/fuzzysearch.nim debian/tmp/nim/tools/dochack/fuzzysearch.nim
+	install -D -m 644 tools/dochack/dochack.js      debian/tmp/nim/tools/dochack/dochack.js
+	install -D -m 644 tools/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
 	# Install docs. There is no version number in the path.
 	install -d debian/html
-	install -D doc/html/*.html debian/html
+	install -D doc/html/*.html doc/html/*.css doc/html/*.js debian/html
 	find debian/html -name '*.idx' -delete
 	ln -sf manual.html debian/html/index.html
 	# install bash/zsh completion scripts
@@ -72,7 +78,8 @@
 override_dh_auto_clean:
 	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
 	rm -f lib/pure/strutils_examples.nim
-	rm -rf bin rnimcache tools/dochack/dochack.js  doc/html/ .cache
+	rm -f bin/atlas bin/nim bin/nim_dbg bin/nimble bin/nimgrep bin/nimpretty bin/nimsuggest bin/testament
+	rm -rf rnimcache tools/dochack/dochack.js  doc/html/ .cache
 	rm -rf web/upload/
 	rm -rf dist/nimble0 dist/nimble/src/nimble
 	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
@@ -99,5 +106,5 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/nim.1 debian/nimble.1 debian/nimgrep.1 debian/nimsuggest.1
+	rm -f debian/nim.1 debian/nimble.1 debian/nimgrep.1 debian/nimsuggest.1 debian/nimpretty.1
 	rm -rf debian/html
